--
-- Royal Bank of LS Kredit 25k
-- 
--
-- @author  Neelson
-- @date  	21/10/2011
--

royalbankoflskredit25k = {};


function royalbankoflskredit25k.prerequisitesPresent(specializations)
    return true;
end;

function royalbankoflskredit25k:load(xmlFile)
	self.kredithoehe = 25000;
	self.kreditabloese = self.kredithoehe * ((g_currentMission.missionStats.difficulty * 0.01) + 1);
	self.zinsbetrag = (self.kredithoehe * ((g_currentMission.missionStats.difficulty * 0.01) + 1)) - self.kredithoehe;
	
	g_currentMission:addSharedMoney(self.kredithoehe);
	self.firstRun = false;
	self.lastday = g_currentMission.environment.currentDay;	
end;

function royalbankoflskredit25k:delete()
	g_currentMission:addSharedMoney(-self.kreditabloese);
end;

function royalbankoflskredit25k:mouseEvent(posX, posY, isDown, isUp, button)
end;

function royalbankoflskredit25k:keyEvent(unicode, sym, modifier, isDown)
end;

function royalbankoflskredit25k:update(dt)
	if g_currentMission.environment.currentDay ~= self.lastday then
		g_currentMission:addSharedMoney(-self.zinsbetrag);
		self.lastday = g_currentMission.environment.currentDay;
		if self.firstRun then
			if self.lastMoney ~= g_currentMission.missionStats.money then
				g_currentMission.missionStats.money = self.lastMoney;
			end;
			self.firstRun = false;
		end;
	end;	
end;

function royalbankoflskredit25k:draw()	
end;

function royalbankoflskredit25k:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
	g_currentMission:addSharedMoney(-self.kredithoehe);
	self.lastMoney = Utils.getNoNil(getXMLFloat(xmlFile, key .. "#lastMoney"), g_currentMission.missionStats.money);
	self.firstRun = true;
		
	return BaseMission.VEHICLE_LOAD_OK;
end;

function royalbankoflskredit25k:getSaveAttributesAndNodes(nodeIdent)
	local attributes = 'lastMoney="' .. tostring(g_currentMission.missionStats.money) ..'"';
	
	return attributes, nil;
end;